package cn.com.ctop.kuaishou.modules.batch.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IJiaoYangFenXiaoService {
    List<JSONObject> getCookie();

    void getOrderList(String cookie, Integer current,Integer offset, Long orderCreateTimeStart, Long orderCreateTimeEnd) throws Exception;

    void getClipCooperation(String cookie, Integer offset, Long statDate,Integer status) throws Exception;

    String getCookieById(Long  id);

    List<JSONObject> getAccountList();

    void getItemTop(String cookie,Long statDate, Long id, String name, Integer offset);

    void getClipCooperationV2(String cookie, int i, Long statDate, Integer status) throws Exception;
}
